package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag201;


import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT201Creator;

import java.math.BigDecimal;
import java.text.DecimalFormat;

public class Tag19Creator extends AbsTagCreate {
    private MT201Creator mt201Creator;

    public Tag19Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt201Creator= (MT201Creator) absMTCreator;
    }

    public  void creator()
    {
        BigDecimal tag19Value = mt201Creator.getSumofAmounts();
        mt201Creator.set("19", tag19Value);
    }
}